org.apache.tomcat.jdbc.pool.interceptor

## Interface StatementCacheMBean

- All Known Implementing Classes:
    StatementCache

      public interface StatementCacheMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AtomicInteger` | `getCacheSize()`
    `int` | `getCacheSizePerConnection()`
    `int` | `getMaxCacheSize()`
    `boolean` | `isCacheCallable()`
    `boolean` | `isCachePrepared()`

- - ### Method Detail

    - #### isCachePrepared

          boolean isCachePrepared()

    - #### isCacheCallable

          boolean isCacheCallable()

    - #### getMaxCacheSize

          int getMaxCacheSize()

    - #### getCacheSize

          AtomicInteger getCacheSize()

    - #### getCacheSizePerConnection

          int getCacheSizePerConnection()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.